Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class Parameter

    java.lang.Object
      com.amazonaws.services.rds.model.Parameter

    public class Parameter

extends Object

Constructor Summary
`Parameter()`

Method Summary
`String` | `getAllowedValues()` Specifies the valid range of values for the parameter.
`String` | `getApplyMethod()` Indicates when to apply parameter updates.
`String` | `getApplyType()` Specifies the engine specific parameters type.
`String` | `getDataType()` Specifies the valid data type for the parameter.
`String` | `getDescription()` Provides a description of the parameter.
`Boolean` | `getIsModifiable()` Indicates whether (true) or not (false) the parameter can be modified.
`String` | `getParameterName()` Specifies the name of the parameter.
`String` | `getParameterValue()` Specifies the value of the parameter.
`String` | `getSource()` Indicates the source of the parameter value.
`Boolean` | `isIsModifiable()` Indicates whether (true) or not (false) the parameter can be modified.
`void` | `setAllowedValues(String allowedValues)` Specifies the valid range of values for the parameter.
`void` | `setApplyMethod(String applyMethod)` Indicates when to apply parameter updates.
`void` | `setApplyType(String applyType)` Specifies the engine specific parameters type.
`void` | `setDataType(String dataType)` Specifies the valid data type for the parameter.
`void` | `setDescription(String description)` Provides a description of the parameter.
`void` | `setIsModifiable(Boolean isModifiable)` Indicates whether (true) or not (false) the parameter can be modified.
`void` | `setParameterName(String parameterName)` Specifies the name of the parameter.
`void` | `setParameterValue(String parameterValue)` Specifies the value of the parameter.
`void` | `setSource(String source)` Indicates the source of the parameter value.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Parameter` | `withAllowedValues(String allowedValues)` Specifies the valid range of values for the parameter.
`Parameter` | `withApplyMethod(String applyMethod)` Indicates when to apply parameter updates.
`Parameter` | `withApplyType(String applyType)` Specifies the engine specific parameters type.
`Parameter` | `withDataType(String dataType)` Specifies the valid data type for the parameter.
`Parameter` | `withDescription(String description)` Provides a description of the parameter.
`Parameter` | `withIsModifiable(Boolean isModifiable)` Indicates whether (true) or not (false) the parameter can be modified.
`Parameter` | `withParameterName(String parameterName)` Specifies the name of the parameter.
`Parameter` | `withParameterValue(String parameterValue)` Specifies the value of the parameter.
`Parameter` | `withSource(String source)` Indicates the source of the parameter value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Parameter

    public Parameter()

Method Detail

### getParameterName

    public String getParameterName()

  Specifies the name of the parameter.

  Returns:
    Specifies the name of the parameter.

### setParameterName

    public void setParameterName(String parameterName)

  Specifies the name of the parameter.

  Parameters:
    `parameterName` - Specifies the name of the parameter.

### withParameterName

    public Parameter withParameterName(String parameterName)

  Specifies the name of the parameter.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `parameterName` - Specifies the name of the parameter.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getParameterValue

    public String getParameterValue()

  Specifies the value of the parameter.

  Returns:
    Specifies the value of the parameter.

### setParameterValue

    public void setParameterValue(String parameterValue)

  Specifies the value of the parameter.

  Parameters:
    `parameterValue` - Specifies the value of the parameter.

### withParameterValue

    public Parameter withParameterValue(String parameterValue)

  Specifies the value of the parameter.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `parameterValue` - Specifies the value of the parameter.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDescription

    public String getDescription()

  Provides a description of the parameter.

  Returns:
    Provides a description of the parameter.

### setDescription

    public void setDescription(String description)

  Provides a description of the parameter.

  Parameters:
    `description` - Provides a description of the parameter.

### withDescription

    public Parameter withDescription(String description)

  Provides a description of the parameter.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `description` - Provides a description of the parameter.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSource

    public String getSource()

  Indicates the source of the parameter value.

  Returns:
    Indicates the source of the parameter value.

### setSource

    public void setSource(String source)

  Indicates the source of the parameter value.

  Parameters:
    `source` - Indicates the source of the parameter value.

### withSource

    public Parameter withSource(String source)

  Indicates the source of the parameter value.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `source` - Indicates the source of the parameter value.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getApplyType

    public String getApplyType()

  Specifies the engine specific parameters type.

  Returns:
    Specifies the engine specific parameters type.

### setApplyType

    public void setApplyType(String applyType)

  Specifies the engine specific parameters type.

  Parameters:
    `applyType` - Specifies the engine specific parameters type.

### withApplyType

    public Parameter withApplyType(String applyType)

  Specifies the engine specific parameters type.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `applyType` - Specifies the engine specific parameters type.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDataType

    public String getDataType()

  Specifies the valid data type for the parameter.

  Returns:
    Specifies the valid data type for the parameter.

### setDataType

    public void setDataType(String dataType)

  Specifies the valid data type for the parameter.

  Parameters:
    `dataType` - Specifies the valid data type for the parameter.

### withDataType

    public Parameter withDataType(String dataType)

  Specifies the valid data type for the parameter.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dataType` - Specifies the valid data type for the parameter.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAllowedValues

    public String getAllowedValues()

  Specifies the valid range of values for the parameter.

  Returns:
    Specifies the valid range of values for the parameter.

### setAllowedValues

    public void setAllowedValues(String allowedValues)

  Specifies the valid range of values for the parameter.

  Parameters:
    `allowedValues` - Specifies the valid range of values for the parameter.

### withAllowedValues

    public Parameter withAllowedValues(String allowedValues)

  Specifies the valid range of values for the parameter.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `allowedValues` - Specifies the valid range of values for the parameter.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isIsModifiable

    public Boolean isIsModifiable()

  Indicates whether (true) or not (false) the parameter can be modified. Some parameters have security or operational implications that prevent them from being changed.

  Returns:
    Indicates whether (true) or not (false) the parameter can be modified. Some parameters have security or operational implications that prevent them from being changed.

### setIsModifiable

    public void setIsModifiable(Boolean isModifiable)

  Indicates whether (true) or not (false) the parameter can be modified. Some parameters have security or operational implications that prevent them from being changed.

  Parameters:
    `isModifiable` - Indicates whether (true) or not (false) the parameter can be modified. Some parameters have security or operational implications that prevent them from being changed.

### withIsModifiable

    public Parameter withIsModifiable(Boolean isModifiable)

  Indicates whether (true) or not (false) the parameter can be modified. Some parameters have security or operational implications that prevent them from being changed.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `isModifiable` - Indicates whether (true) or not (false) the parameter can be modified. Some parameters have security or operational implications that prevent them from being changed.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getIsModifiable

    public Boolean getIsModifiable()

  Indicates whether (true) or not (false) the parameter can be modified. Some parameters have security or operational implications that prevent them from being changed.

  Returns:
    Indicates whether (true) or not (false) the parameter can be modified. Some parameters have security or operational implications that prevent them from being changed.

### getApplyMethod

    public String getApplyMethod()

  Indicates when to apply parameter updates.

  Constraints:
  Allowed Values: immediate, pending-reboot

  Returns:
    Indicates when to apply parameter updates.
  See Also:
    `ApplyMethod`

### setApplyMethod

    public void setApplyMethod(String applyMethod)

  Indicates when to apply parameter updates.

  Constraints:
  Allowed Values: immediate, pending-reboot

  Parameters:
    `applyMethod` - Indicates when to apply parameter updates.
  See Also:
    `ApplyMethod`

### withApplyMethod

    public Parameter withApplyMethod(String applyMethod)

  Indicates when to apply parameter updates.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: immediate, pending-reboot

  Parameters:
    `applyMethod` - Indicates when to apply parameter updates.
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `ApplyMethod`

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.